---
title: "Get integration logs"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Integrations

`GET /api/integrations/{integrationId}/logs`

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.channelautomation.com/api/integrations/%7BintegrationId%7D/logs
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/integrations/%7BintegrationId%7D/logs';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/integrations/%7BintegrationId%7D/logs"

response = requests.get(url)

print(response.text)
```


Source: https://developer.channelautomations.com/api/get-api-integrations-integration-id-logs/index.md
